summaryrefslogtreecommitdiffstats
path: root/.gitlab-ci
diff options
context:
space:
mode:
authorAndres Gomez <[email protected]>2020-02-20 15:30:36 +0200
committerAndres Gomez <[email protected]>2020-03-04 15:21:39 +0200
commitfc2338dc44cab6095a5bb9d5f9c42901f10a493f (patch)
tree7a9722ec7fae501db4c9c029f82d514592f40ce8 /.gitlab-ci
parent8c5e2ef19f6cbb96bb1a21e245e4e866458b0f8a (diff)
gitlab-ci: add missing popd to the build-deqp-vk.sh script
Since we are at it, replace "cd" with pushd / popd and homogenize how VK-GL-CTS is built in comparison with other build scripts. Signed-off-by: Andres Gomez <[email protected]> Reviewed-by: Samuel Pitoiset <[email protected]> Reviewed-by: Alexandros Frantzis <[email protected]>
Diffstat (limited to '.gitlab-ci')
-rw-r--r--.gitlab-ci/build-cts-runner.sh8
-rw-r--r--.gitlab-ci/build-deqp-vk.sh15
2 files changed, 16 insertions, 7 deletions
diff --git a/.gitlab-ci/build-cts-runner.sh b/.gitlab-ci/build-cts-runner.sh
index cd6c6adbce7..982e734d73f 100644
--- a/.gitlab-ci/build-cts-runner.sh
+++ b/.gitlab-ci/build-cts-runner.sh
@@ -2,9 +2,9 @@
set -ex
-git clone https://gitlab.freedesktop.org/mesa/parallel-deqp-runner.git --depth 1 -b mesa-ci-2019-12-17
-cd parallel-deqp-runner
+git clone https://gitlab.freedesktop.org/mesa/parallel-deqp-runner.git --depth 1 -b mesa-ci-2019-12-17 /parallel-deqp-runner
+pushd /parallel-deqp-runner
meson build/ $EXTRA_MESON_ARGS
ninja -C build -j4 install
-cd ..
-rm -rf parallel-deqp-runner
+popd
+rm -rf /parallel-deqp-runner
diff --git a/.gitlab-ci/build-deqp-vk.sh b/.gitlab-ci/build-deqp-vk.sh
index 0ecca19b951..16db1883843 100644
--- a/.gitlab-ci/build-deqp-vk.sh
+++ b/.gitlab-ci/build-deqp-vk.sh
@@ -1,8 +1,13 @@
-git clone --depth 1 \
+#!/bin/bash
+
+set -ex
+
+git clone \
+ --depth 1 \
https://github.com/KhronosGroup/VK-GL-CTS.git \
-b vulkan-cts-1.1.6.0 \
/VK-GL-CTS
-cd /VK-GL-CTS
+pushd /VK-GL-CTS
# --insecure is due to SSL cert failures hitting sourceforge for zlib and
# libpng (sigh). The archives get their checksums checked anyway, and git
@@ -10,7 +15,10 @@ cd /VK-GL-CTS
python3 external/fetch_sources.py --insecure
mkdir -p /deqp
-cd /deqp
+
+popd
+
+pushd /deqp
cmake -G Ninja \
-DDEQP_TARGET=x11_glx \
-DCMAKE_BUILD_TYPE=Release \
@@ -31,3 +39,4 @@ find -iname '*cmake*' -o -name '*ninja*' -o -name '*.o' -o -name '*.a' | xargs r
strip external/vulkancts/modules/vulkan/deqp-vk
du -sh *
rm -rf /VK-GL-CTS
+popd